package com.brilliance.isc.convert.other;

import java.util.HashMap;
import java.util.Map;

/**
 * @author hedonghao
 * @date 2023/2/22
 */
public class mt700TestMap {
    public static Map mapUtil(){


        Map map=new HashMap();
        map.put("msgType", "700");//报文类型
        map.put("sequenceofTotal", "1/1");
        map.put("formofDocumentaryCredit", "0716");
        map.put("documentaryCreditNumber", "LC00001TEST");
        map.put("dateOfIssue", "202303");
        map.put("applicableRules","TESTAPPRULES");
        map.put("dateAndPlaceOfExpiry", "239514DZJ");
        map.put("applicant", "LXZJZ\r\nBANK001\r\nPC777\r\nSWITCH0132");
        map.put("beneficiary", "LEGION11\r\nSUMSUNGS12\r\nAPPLE14\r\nGIVE_ME");
        map.put("pcentgeCrdtAmntTolrance","99/55");
        map.put("currencyCodeAmount", "GFD15DcCode");
        map.put("confirmationInstructions", "DDZZJJJ");
        //非必选项
        map.put("referencetoPreAdvice","this is tag23");
        map.put("pcentgeCrdtAmntTolrance","39/39");
        map.put("additionalAmountsCovered","this is 39C\r\ntest39Csuccess");
        map.put("draftsAt","BK100203\r\nAN3226621");
        map.put("mixedPaymentDetails","20230222 OUTPUT 16￥");
        map.put("negtionDfredPaymentDetail","tag42P\r\n延期付款1周，费用100万￥");
        map.put("partialShipments","仓库现金装运深圳");
        map.put("transhipment","尝试用船运载具");
        map.put("placeOfTakInChargTranDeli","接收地点：京海市/发送地点：武汉/收货地点：新晨科技");
        map.put("portOfLoading","装货港：维多利亚港口/出发机场：武汉天河机场");
        map.put("portOfDischarge","卸货港口：上海入港口/目的机场：北京大兴机场");
        map.put("placeOfFinalDestination","最终目的：潜江/运输至：曹禺公园/交货地点：总口");
        map.put("latestDateOfShipment","最迟装运日期：2023.3.15");
        map.put("shipmentPeriod","装运日期：2023.3.6");
        map.put("descOfGoodsAndServ","服务说明：cash");
        map.put("documentsRequired","所需文件：进关批文");
        map.put("additionalConditions","附加条件：超出距离加钱");
        map.put("specPaymentCondForBenefi","收款行特殊付款条件：房屋抵押");
        map.put("charges","36000000￥");
        map.put("periodForPresentaInDays","提交期限：2023.12.30");

        map.put("recvBic", "CIPSCNSHXXX");//收报行
        map.put("sendBic", "PSBCCNBJXXX");//发报行
        return map;
    }
}
